var _page = 1,
    _loading = false,                // 控制加载
    isLoadMore = false;

setupBridge(function (bridge) {
    bridge.registerHandler("postDetailDataSource", function (data, responseCallback) {
        try {
            if (!isLoadMore && _page != 1)
                _page = 1;
            setupView(data);
            // var responseData = "Javascript Says Right back aka!";
            //responseCallback(responseData);
        } catch (e) {
            $('body').html(e.message);
        }
    });
//    bridge.registerHandler("getIFrameScrollY", function (data, responseCallback) {
//        try {
//            "use strict";
//
//            var ifs = $('.cls_iframe')
//            if(ifs != null && ifs != undefined && ifs[0] != undefined){
//                var scrollY = ifs[0].contentWindow.scrollY;
//                console.log("getIFrameScrollY 获取到 scrollY = " + scrollY);
//                responseCallback(scrollY);  //这个调用竟然不好使，这个库有问题
//                window.android.setIFrameScrollYInterface("" + scrollY); //直接调用
//            }
//        } catch (e) {
//            $('body').html(e.message);
//        }
//    });
});


function getIFrameScrollY(data){
    try {
        "use strict";

        var ifs = $('.cls_iframe')
        if(ifs != null && ifs != undefined && ifs[0] != undefined){
            var scrollY = ifs[0].contentWindow.scrollY;
            console.log("getIFrameScrollY 获取到 scrollY = " + scrollY);
            window.android.setIFrameScrollYInterface("" + scrollY); //直接调用
        }
    } catch (e) {
        $('body').html(e.message);
    }
}

function callHasIFrame(){
    "use strict";

    var hasIFrame = 0
    var ifs = $('.cls_iframe')
    if(ifs != null && ifs != undefined && ifs[0] != undefined){
        hasIFrame = 1
    }
    window.android.setHasIFrame("" + hasIFrame); //直接调用
    return hasIFrame
}

/*$.ajax({
 type: "get",
 url: "./post.json",
 success: function (data) {
 setupView(data);
 }
 });*/
 function lazyLoadImg() {
   "use strict";
    var lazyImages = [].slice.call(document.querySelectorAll("img.lazy"));
    var active = false;
    var lazyLoad = function() {
        if (active === false) {
        active = true;
        setTimeout(function() {
            lazyImages.forEach(function(lazyImage) {
            if ((lazyImage.getBoundingClientRect().top <= window.innerHeight && lazyImage.getBoundingClientRect().bottom >= 0) && getComputedStyle(lazyImage).display !== "none") {
                lazyImage.src = lazyImage.dataset.src;
                lazyImage.srcset = lazyImage.dataset.srcset;
                lazyImage.classList.remove("lazy");

                lazyImages = lazyImages.filter(function(image) {
                return image !== lazyImage;
                });

                if (lazyImages.length === 0) {
                document.removeEventListener("scroll", lazyLoad);
                window.removeEventListener("resize", lazyLoad);
                window.removeEventListener("orientationchange", lazyLoad);
                }
            }
            });
            active = false;
        }, 200);
        }
    };

    document.addEventListener("scroll", lazyLoad);
    window.addEventListener("resize", lazyLoad);
    window.addEventListener("orientationchange", lazyLoad);
    }
function setupView(data) {
    var obj = strToJson(data);
    var date = '';
    var dom = obj.domainStr
    var url_result = "" + dom + "v2/site/common-ad"
    if(dom.indexOf("open") != -1 || dom.indexOf("8080") != -1){
        url_result = "" + dom + "v3/site/ad/common"
    }

    $.ajax({
        url: url_result,
        async: false,
        success: function (data) {
            date = data;
        }
    });

    setTimeout(function(){
            $('.mask').slideUp();
               },500);

    if (_page == 1) {
        //JSON.stringify() 方法将一个  JavaScript 值转换为一个 JSON 字符串，如果指定了一个 replacer 函数，
        // 则可以替换值，或者如果指定了一个 replacer 数组，可选地仅包括指定的属性。
        $('.debug-info').html(JSON.stringify(obj, null, 2));

        //主帖部分
        if (obj.topic) {
            $('.topic-head').html('');
            var topic_head_tmp = $('.topic-head-template').clone();
            topic_head_tmp.removeClass().addClass('head-inner');
            topic_head_tmp.find('.h4').html(obj.topic.title);
            topic_head_tmp.find('.replies').html('回复:' + obj.topic.replies);
            topic_head_tmp.find('.hits').html('&nbsp;浏览:' + obj.topic.hits);
            topic_head_tmp.find('.create_date').html(asRelativeTime(parseInt(obj.topic.create_date)));
            $('.topic-head').append(topic_head_tmp);

            $('.topic-body').html('');
            var topic_body_tmp = $('.topic-body-template').clone();
            topic_body_tmp.removeClass();
            topic_body_tmp.addClass('card');
            topic_body_tmp.find('.author').attr('data-author-id', obj.topic.user_id);
            topic_body_tmp.find('.user-image').attr('src', obj.topic.icon);
            topic_body_tmp.find('.user-nick-name').html(obj.topic.user_nick_name);
            topic_body_tmp.find('.user-title').html(obj.topic.userTitle);
            topic_body_tmp.find('.button-report').attr('data-type', 'thread').attr('data-id', obj.topic.user_id);
            topic_body_tmp.find('.data').html(asRelativeTime(parseInt(obj.topic.create_date)));
            if(typeof (date) === 'object' && (date) != undefined && (date) != null){
             if(typeof (date.data) === 'object' && (date.data) != undefined && (date.data) != null){
               if(typeof (date.data.ad) === 'object' && (date.data.ad) != undefined && (date.data.ad) != null){
                 if(typeof (date.data.ad[0]) === 'object' && (date.data.ad[0]) != undefined && (date.data.ad[0]) != null){
                topic_body_tmp.find('.gol').attr('src', date.data.ad[0].cover);
                topic_body_tmp.find('.bgk').find('.gol').click(function () {
                    if (date.data.ad[0].link_type == "link") {

                        touchURLEventHandler(date.data.ad[0].link)
                    } else if (date.data.ad[0].link_type == "tid") {

                        toUct(date.data.ad[0].tid, date.data.ad[0].link_type)
                    } else if (date.data.ad[0].link_type == "cid") {

                        toUcc(date.data.ad[0].cid, date.data.ad [0].link_type)
                    }
                    // console.log(typeof date.data.banner[0].link);
                    /*                //广告
                     var link =date.data.banner[0].link, link_type = date.data.banner[0].link_type;
                     console.log(typeof link)
                     console.log(typeof link_type);
                     window.WebViewJavascriptBridge.callHandler("Turn", {
                     "link": link,
                     "link_type": link_type
                     }, function (responseData) {
                     console.log(responseData);
                     })*/

                });
                }
                   }
                    }
                      }
            setTimeout(function () {
                $('.commen').html(obj.topic.replies + ' 评论');
                $('.rea').html(obj.topic.hits + ' 阅读');
            }, 0);


            // 评分
            if (obj.topic.rateList && obj.topic.extraPanel.length) {

                var headAction = obj.topic.extraPanel[0].action;
                var headTitle = obj.topic.extraPanel[0].title;
                var str = '';
                var url = obj.topic.rateList.showAllUrl;
                var headHead = obj.topic.rateList.head;
                var headBody = obj.topic.rateList.body;
                var headTotal = obj.topic.rateList.total;

                if (!headBody) {

                    str += '<span><a href=# onclick=touchURLEventHandler("' + headAction + '")>' + '还没有评分哦，大家快来评分吧!<br>' + '</a></span>';
                } else {

                    str += '<div class="scroe-title"><a href=# onclick=touchURLEventHandler("' + headAction + '")>' + '我要评分' + '</a><br></div>';
                    str += headHead.field1 + headTotal.field1 + '    ' + headHead.field2 + headTotal.field2 + '<br>'
                    for (var i = 0; i < headBody.length; i++) {
                        str += i + 1 + ':  ' + obj.topic.rateList.body[i].field1 + '      ' + obj.topic.rateList.body[i].field2 + '<br>'
                    }
                    if (url.length) {

                        str += '<a href=# onclick=touchURLEventHandler("' + url + '")>' + '更多评分>>' + '</a>';
                    }

                }


                topic_body_tmp.find('.score-debug').html(str);
            }

            $('.topic-body').append(topic_body_tmp);

            var str = '';
            var src = "./fonts/banner.png"
            // var src = "https://res.cloudinary.com/drp9iwjqz/image/upload/e_blur:2000,f_auto,q_auto:eco/v1508291830/jeremywagner.me/using-webp-images/tacos-1x.jpg"

            for (var i = 0; i < obj.topic.content.length; i++) {

                var temp_content_obj =  obj.topic.content[i].infor;

                if (obj.topic.content[i].type == 0) {
                    var imgUrlRegex = /http:.*?.png/g; //http:.*?.png   /http:.*\r*/g
                    var imgLabelRegex = /<img.*?\/>/g;
                    var imgs_str = ''

                    var imgLabelResult = temp_content_obj.match(imgLabelRegex)

                    if(imgLabelResult !=null && imgLabelResult.length != 0){
                        str += '<p class="interval" style="margin-bottom: 5px;">' + temp_content_obj.replace(/\[mobcent_phiz=(.+?)\]/ig, '<img src="$1" />').replace(/\n/ig, '<br/>') + '</p>';
                    }else{
                        var imgUrlResult = temp_content_obj.match(imgUrlRegex);
                        console.log("imgUrlResult =" + imgUrlResult)

                        if(imgUrlResult !=null && imgUrlResult.length !=0 ){
                            for (var j = 0; j < imgUrlResult.length; j++) {
                                imgs_str += '<img class="content-img img-topic" src="' + imgUrlResult[j].replace("\r","") + '" onclick=imgClicked(this) /></br>';
                            }
                            var exclude_result = '<p class="interval" style="margin-bottom: 5px;">' + temp_content_obj.replace(imgUrlRegex,"").replace(/\[mobcent_phiz=(.+?)\]/ig, '<img src="$1" />') + '</p>'; // '<img src="$1" />').replace(/\n/ig, '<br/>')
                            console.log("type == 0   imgUrlResult.length !=0  exclude_result = " + exclude_result)
                            str += exclude_result + imgs_str;
                        }else{
                            str += '<p class="interval" style="margin-bottom: 5px;">' + temp_content_obj.replace(/\[mobcent_phiz=(.+?)\]/ig, '<img src="$1" />').replace(/\n/ig, '<br/>') + '</p>';
                        }
                    }
                }
                else if (obj.topic.content[i].type == 1) {
                    if (i < 5) {
                        str += "<img class=\"content-img img-topic\" src=\"" + obj.topic.content[i].infor + "\"  onclick=imgClicked(this)></img>";
                    } else {
                        str += "<img class=\"lazy content-img img-topic\" src=\"" + src + "\" data-src=\"" + obj.topic.content[i].infor + "\" data-srcset=\"" + obj.topic.content[i].infor + " 2x, " + obj.topic.content[i].infor + " 1x\" alt=\"Some tacos.\" onclick=imgClicked(this)></img>";
                    }
                } else if (obj.topic.content[i].type == 4) {
                    str += '<a href=# onclick=touchURLEventHandler("' + obj.topic.content[i].url + '")>' + obj.topic.content[i].infor + '</a>';
                } else if (obj.topic.content[i].type == 2) {

                    //player.youku.com/player.php/sid/xxxxxx==/v.swf
                    //player.youku.com/embed/XMjUyODI0NjMwOA==
                    var video_src = obj.topic.content[i].infor.replace(/player.youku.com\/player.php\/sid\/(.+?)\/v.swf/ig, 'player.youku.com/embed/$1');
                    str += '<iframe class = "cls_iframe" scrolling="yes" frameborder="0" style="width:100%;height:200px;" src="' + video_src + '" ></iframe>';

                } else {
                    str += '<p class="interval" style="margin-bottom: 5px;">' + obj.topic.content[i].infor.replace(/\[mobcent_phiz=(.+?)\]/ig, '<img src="$1" />').replace(/\n/ig, '<br/>') + '</p>';
                }

                str += '<p class="debug" style="border:1px solid #dd1212;">' + obj.topic.content[i].type + '</p>';
            }
            topic_body_tmp.find('.content').append(str);
        }

        //回复部分
        $('.topic-replies').html('');
        commentsContent(obj);

        BindWindowEvent();
    } else {
        commentsContent(obj);
    }

    isLoadMore = false;

    // 更新分页标识
    _page++
    lazyLoadImg()

    var hasIFrame = callHasIFrame()             //先告诉原生有没有 iFrame
    setDocScrollCallFunc(hasIFrame)
}


function  setDocScrollCallFunc(hasIFrame){
    "use strict";

    if(hasIFrame == 1){
        console.log("setDocScrollCallFunc 为 doc 添加滚动监听")
        document.addEventListener("scroll", function(e){
             var window_scroll_top = document.documentElement.scrollTop || document.body.scrollTop;
             console.log("setDocScrollCallFunc window_scroll_top=" + window_scroll_top)
             window.android.setIsWindowScrollInterface(window_scroll_top + "");
        });
    }
}


//function callHaveIframe(){ //为 iframe 设置滑动监听不好使,所以改为如果有 iframe 返回 1
//    "use strict";
//
//    var ifs = $('.cls_iframe')
//    if(ifs != null && ifs != undefined && ifs[0] != undefined){
//       console.log("开始设置 document scroll 的 function");
//       var if_window = ifs[0].contentWindow;
//       if_window.οnscrοll = function() {
//          alert('ifs[0].scrollTop = ' +  ifs[0].scrollTop)
//          console.log("callHaveIframe js ifs[0].scrollTop=" + ifs[0].scrollTop)
//          if(ifs[0].scrollTop < 10){
//             callRegisterScrollTop(ifs[0].scrollTop);
//          }
//       }
//    }
//}

// 评论加载逻辑
function commentsContent(obj) {
    var $COMMENT = $('.topic-replies');
    if (obj.list.length) {
        $COMMENT.append(makeCommentsList(obj.list, obj));
        _loading = true;
    } else {
        $('#loading').fadeOut();
        $COMMENT.append('<div class="panel-body" style="text-align: center">没有更多了！</div>')
    }
}
var topicID = 0
// 生成回帖列表
function makeCommentsList(list, obj) {
    // console.warn(list)

    if (obj.topic) {
        topicID = obj.topic.topic_id
    }

    var boardID = obj.boardId
    var $REPLY_TEMPLATE = $('.topic-reply-template');
    return ( list.map(function (item) {
        var reply_tmp = $REPLY_TEMPLATE.clone();
        reply_tmp.removeClass();
        reply_tmp.addClass('card');
        reply_tmp.find('.author').attr('data-author-id', item.reply_id);
        reply_tmp.find('.user-image').attr('src', item.icon);
        reply_tmp.find('.user-nick-name').html(item.reply_name);
        reply_tmp.find('.user-title').html(item.userTitle);
        reply_tmp.find('.position').html(item.position + '楼');
        reply_tmp.find('.sp-time').html(asRelativeTime(+item.posts_date));
        reply_tmp.find('.button-report').attr('data-type', 'post').attr('data-id', item.reply_id);
        reply_tmp.find('.button-replay').attr('replyID', item.reply_posts_id).attr('boardID', boardID).attr('topicID', topicID).attr('reply_name',item.reply_name);

        //将 item.reply_content.info 的表情符号替换为图片
        for(var index = 0;index < item.reply_content.length;index ++){
            for (var key of bama_map.keys()) {
                if(item.reply_content[index].infor.indexOf(key) != -1){
                    item.reply_content[index].infor = item.reply_content[index].infor.replace(key,bama_map.get(key))
                }
            }
        }

        var str = '';
//        var src = "https://res.cloudinary.com/drp9iwjqz/image/upload/e_blur:2000,f_auto,q_auto:eco/v1508291830/jeremywagner.me/using-webp-images/tacos-1x.jpg"
        var src = "./fonts/banner.png"
        for (var j = 0; j < item.reply_content.length; j++) {
            if (item.reply_content[j].type == 1) {
                str += "<img class=\"lazy content-img\" src=\"" + src + "\" data-src=\"" + item.reply_content[j].infor + "\" data-srcset=\"" + item.reply_content[j].infor + " 2x, " + item.reply_content[j].infor + " 1x\" alt=\"Some tacos.\" onclick=oneImgClicked(this)></img></br>";
//                str += '<img class="content-img" src="' + item.reply_content[j].infor + '" onclick=oneImgClicked(this) /></br>';
            } else if (item.reply_content[j].type == 4) {
//                      str += '<a href="' + item.reply_content[j].url + '">' + item.reply_content[j].infor + '" </a>';
                str += '<a href=# onclick=touchURLEventHandler("' + item.reply_content[j].url + '")>' + item.reply_content[j].infor + '</a>';
            } else {
                str += '<p>' + item.reply_content[j].infor.replace(/\[mobcent_phiz=(.+?)\]/ig, '<img src="$1" />') + '</p>';
            }
            str += '<p class="debug" style="border:1px solid #dd1212;">' + item.reply_content[j].type + '</p>';
        }

        if (item.is_quote == 1) {
            var arr = item.quote_content.split(' ');
            var sta = '';
            for (var i = 1; i < arr.length; i++) {
                sta += arr[i]
            }
            str += '<blockquote style="color: #9B9B9B">' +
                '<span style="color:#272D2F;font-size:14px; font-family: PingFangSC-Regular, sans-serif;">'
                + arr[0] + '</span>: ' + sta + '</blockquote>';
        }
        reply_tmp.find('.content').append(str);
        return reply_tmp
    }))
}

//进入作者主页
function handleOpenAuthor(_this) {
    // $('#ModalAuthor').attr('data-author-id', $(_this).attr('data-author-id'))
    // .modal('show')
    window.WebViewJavascriptBridge.callHandler(
        'tapUserAvatar'
        , {'userID': +$(_this).attr('data-author-id') || ''}
        , function (responseData) {
            console.info("responseData : " + responseData);
        }
    );
}

/*// 只看作者帖
 function handleOnlyAuthor() {
 _page = 1;
 window.WebViewJavascriptBridge.callHandler(
 'viewAuthor'
 , {'author': +$('#ModalAuthor').attr('data-author-id') || ''}
 , function (responseData) {
 }
 );
 $('#ModalAuthor').modal('hide');
 }

 // 查看作者信息
 function handleClickAuthor() {
 window.WebViewJavascriptBridge.callHandler(
 'tapUserAvatar'
 , {'userID': +$('#ModalAuthor').attr('data-author-id') || ''}
 , function (responseData) {
 console.info("responseData : " + responseData);
 }
 );
 $('#ModalAuthor').modal('hide');
 }*/

// 举报弹层
function handleClickReport(_this) {
    $('#ModalReport').attr('data-type', $(_this).attr('data-type'))
        .attr('data-id', $(_this).attr('data-id'))
        .modal('show')
}

// 回复帖子
function handleClickReplay(_this) {
    var topicID = $(_this).attr('topicID');
    var replyID = $(_this).attr('replyID');
    var boardID = $(_this).attr('boardID');
    var replyName = $(_this).attr('reply_name');
    window.WebViewJavascriptBridge.callHandler(
        'replaySomeOne', {
            'replyPostID': parseInt(replyID),
            'boardID': parseInt(boardID),
            'topicID': parseInt(topicID),
            'replyName': replyName
        }, function (responseData) {

        }
    );


    // window.WebViewJavascriptBridge.callHandler(
    // 'replaySomeOne', {'replyPostID': 8049007,'topicID' : 495547, 'boardID' : 11 }
    //                                            , function(responseData) {
    //                                            }
    //                                            );
}


// 选择举报类型
function handleReportEvent(type) {
    var $modal = $('#ModalReport');
    window.WebViewJavascriptBridge.callHandler(
        'report'
        , {'type': type ? type : $modal.attr('data-type'), 'reportID': +$modal.attr('data-id') || ''}
        , function (responseData) {
        }
    );
    $modal.modal('hide');
}

// 上拉加载更多评论
function BindWindowEvent() {
    var WINDOW_HEIGHT = window.innerHeight,
        $BODY = $('body')[0];
    $(window).off('scroll').on('scroll', function (e) {
        if (_loading && -$BODY.getBoundingClientRect().top > ($BODY.scrollHeight - $BODY.clientHeight - 20)) {
            _loading = false;
            isLoadMore = true;
            $('#loading').show();
            window.WebViewJavascriptBridge.callHandler(
                'loadMore'
                , {'page': _page, 'pageSize': 20}
                , function (responseData) {
                }
            );
        }
    })
    // 解决打开弹层时依然能滑动的问题
        .off('touchmove').on('touchmove', function (e) {
        if ($('body').hasClass('modal-open')) {
            return false
        }
    })
}

//function matchAction(str) {
//    var found = str.search(/http:\/\/bbs.78dm.net\/mobcent\/app\/web/\index.php?r=forum\/topicrate&sdkVersion=2.4.0.3&accessToken=/i)
//    if (found != -1) {
//        return {'id' : str, 'type' : 'score'};
//    }
//    return null;
//}

function oneImgClicked(clickedOBJ) {

    var imgOBJs = [clickedOBJ.src];

    window.WebViewJavascriptBridge.callHandler(
        'bigImageHandler', {'index': 0, 'imgs': imgOBJs}
        , function (responseData) {
        }
    );
}

function imgClicked(clickedOBJ) {

    var idx = 0;
    var imgOBJs = getAllImages();

    console.log(imgOBJs.length)

    for (var index = 0; index < imgOBJs.length; index++) {
        if (clickedOBJ.src == imgOBJs[index]) {
            idx = index;
        }
    }


    window.WebViewJavascriptBridge.callHandler(
        'bigImageHandler', {'index': idx, 'imgs': imgOBJs}
        , function (responseData) {
        }
    );
    console.log(clickedOBJ.src)
    console.log('idx = ' + idx)
    console.log(imgOBJs)
}

function getAllImages() {
    var objs = $("img.img-topic");
    var imgScr = [];
    for (var i = 0; i < objs.length; i++) {
        imgScr.push(objs[i].src);
    }
    ;

    return imgScr;
}

// 匹配URL里面的 topic 链接
function matchTopicURL(str) {

  //匹配旧帖子链接: http://bbs.78dm.net/forum.php?mod=viewthread&tid=737549
  var found = str.match(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=\d+/ig, str);

  if (found) {
    var tid = found[0].replace(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=/ig, '');
    return {
      'id': tid,
      'type': 'tid'
    };
  }

    //匹配新帖子链接 : http://bbs-pre.78dm.net/forum/post/737609.html
   var found2 = str.match(/.*?78dm.net\/forum\/post\/.*?.html/ig, str);
   if(found2){ //新的帖子链接
        var found2Str = found2 + ""
        var postIndex = found2Str.indexOf("post/");
        var tid = found2Str.substring(postIndex + "post/".length).replace(".html", "");
        return {
              'id': tid,
              'type': 'tid'
        };
   }

  return null;
}

function matchCtURL(str){
   //匹配新的词条链接 : http://acg-pre.78dm.net/ct/7621.html
   var found2 = str.match(/.*?78dm.net\/ct\/.*?.html/ig, str);
   if(found2){ //新的帖子链接
       var found2Str = found2 + ""
       var ctIndex = found2Str.indexOf("ct/");
       var cid = found2Str.substring(ctIndex + "ct/".length).replace(".html", "");
       return {
             'id': cid,
             'type': 'cid'
       };
   }

   return null;
}

// 匹配URL里面的 user 链接
function matchUserURL(str) {

    var found = str.match(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=\d+/ig, str);

    if (found) {
        var uid = found[0].replace(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=/ig, '');
        return {'id': uid, 'type': 'uid'};
    }

    return null;
}
// 匹配URL里面的 acg 链接
function matchACGURL(str) {

    var found = str.match(/http:\/\/acg.78dm.net\/ct\/\d+/ig, str);

    if (found) {
        var uid = found[0].replace(/http:\/\/acg.78dm.net\/ct\/\d+/ig, '');
        return {'id': uid, 'type': 'acg'};
    }

    return null;
}
// 打包参数
function getParamsFromURL(urlString) {
    // 匹配主题id的跳转
    var topicResult = matchTopicURL(urlString);
    if (topicResult) {
        console.log('tid 成功' + topicResult['tid']);
        return topicResult;
    }
    // 匹配词条id的跳转
    var ctResult = matchCtURL(urlString);
    if(ctResult){
        console.log('cid 成功' + ctResult['cid'])
        return ctResult;
    }
    // 匹配用户id的跳转
    var userResult = matchUserURL(urlString);
    if (userResult) {
        console.log('uid 成功' + userResult.uid);
        return userResult;
    }
    // 匹配 acg 跳转
//    var acgResult = matchACGURL(urlString);
//    if (acgResult) {
//        console.log('uid 成功' + userResult.uid);
//        return acgResult;
//    }


//    // 匹配 action 的跳转
//    var scroeAction = matchAction(urlString);
//    if (scroeAction) {
//        console.log('uid 成功' + userResult.uid);
//        return scroeAction;
//    }

    // 其他URL链接
    return {'id': urlString, 'type': 'url'}
}

function touchURLEventHandler(urlString) {
    var parmas = getParamsFromURL(urlString)
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', parmas
        , function (responseData) {
        });
}


//广告tid

function toUct(tid, link_type) {
    var ti = tid.toString();
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', {"id": ti, "type": link_type}
        , function (responseData) {
        });
}

//广告cid
function toUcc(cid, link_type) {
    var ci = cid.toString();
    window.WebViewJavascriptBridge.callHandler(
        'openURLiOSHandler', {"id": ci, "type": parseInt(link_type)}
        , function (responseData) {
        });
}
