var setupBridge;
var _page = 1;
var off = 0;
var wid;
var swi = true;
var fen;
var teo;
var doma;
var domain;
var title
var isfold = true;
var isOff0PreHasData = false;
try {
  if (window.navigator.userAgent.indexOf('Android') != -1 || window.navigator.userAgent.indexOf('Adr') != -1) {
    setupBridge = function (callback) {
      if (window.WebViewJavascriptBridge) {
        callback(WebViewJavascriptBridge)
      } else {
        document.addEventListener(
          'WebViewJavascriptBridgeReady',
          function () {
            callback(WebViewJavascriptBridge)
          },
          false
        );
      }
    }
    setupBridge(function (bridge) {
      bridge.init(function (message, responseCallback) {
        var data = {};
        responseCallback(data);
      });
    });

    console.log('android browser');
  } else {
    setupBridge = function (callback) {
      if (window.WebViewJavascriptBridge) {
        return callback(WebViewJavascriptBridge);
      }
      if (window.WVJBCallbacks) {
        return window.WVJBCallbacks.push(callback);
      }
      window.WVJBCallbacks = [callback];
      var WVJBIframe = document.createElement('iframe');
      WVJBIframe.style.display = 'none';
      WVJBIframe.src = 'https://__bridge_loaded__';
      document.documentElement.appendChild(WVJBIframe);
      setTimeout(function () {
        document.documentElement.removeChild(WVJBIframe)
      }, 0)
    }
    console.log('ios browser');
  }
} catch (ex) {
  console.log(ex);
}
//刷新，第一次进页面
setupBridge(function (bridge) {
  bridge.registerHandler("dataRefresh", function (data, responseCallback) {
    var obj = eval('(' + data + ')');
    $('#section').empty();
    console.log('dataRefresh', obj)
    if (_page == 1) {
      overall(obj.id, obj.domainStr, obj.title);
      domain = obj.domainStr;
      title = obj.title;
      _page = 0;
    } else if (_page == 0) {
      if (obj.id != null) {
        $("#div ul>li").remove();
        overall(obj.id, obj.domainStr, obj.title);
        off = 0;
        $(document).scrollTop(0);
        window.WebViewJavascriptBridge.callHandler(
          'refreshOver', {
            'code': 1,
            'message': '请求成功'
          },
          function (responseData) {});
      } else {
        window.WebViewJavascriptBridge.callHandler(
          'refreshOver', {
            'code': 2,
            'message': '请求失败'
          },
          function (responseData) {});
      }
    }
  });
  bridge.registerHandler("dataRefreshBack", function (data, responseCallback) {
    var obj = eval('(' + data + ')');
    $("#div ul>li").remove();
    over(obj.id, domain);
    off = 0;
    $(document).scrollTop(0);
  });
  bridge.registerHandler("gotoCommentArea", function (data, responseCallback) {
    $(window).scrollTop($('#comment-logo').offset().top)
  })
  bridge.registerHandler("touchCollection", function(data, callBack) {
      callTouchCollection()
  })
   bridge.registerHandler("getCtInfoGoTaobao", function(data, callBack) {
      callGetCtInfoGoTaobao()
    })
});

function getTopic(){
    var title_value = ""
    if($('.section-content')[0] != null && $('.section-content')[0].children[0] != null){
        title_value = $('.section-content')[0].children[0].textContent
    }
    var topic = {
      id: wid,
      title: title_value,
      src: document.getElementsByTagName('img')[1].src,
    }
    return topic
}

function callTouchCollection(){                                             //点击收藏
    window.android.callTouchCollectionFromJs(JSON.stringify(getTopic()));
}

function callGetCtInfoGoTaobao(){
    window.android.callGetCtInfoGoTaobaoFromJs(JSON.stringify(getTopic())); //直接调用
}

function getCommentListUrl(domainStr,oid,offset = 0){
  var url_result = "" + domainStr + "v2/kanban/list?offset=" + offset + "&oid=" + oid + "&idtype=ct&limit=10&category_id=&fid=&is_friend=&is_fj=&is_jiajing=&is_hometop="
  if(domainStr.indexOf("open") != -1 || domainStr.indexOf("8080") != -1){
     url_result = "" + domainStr + "v3/comment/list?offset=" + offset + "&oid=" + oid + "&idtype=ct&limit=10&category_id=&fid=&is_friend=&is_fj=&is_jiajing=&is_hometop="
  }
  return url_result
}

function overall(id, domainStr, title) {
  wid = id;
  doma = domainStr;
  titl = title

  var url_result = "" + domainStr + "v2/ct/detail?ctid=" + id + "&type=3"
  if(doma.indexOf("open") != -1 || doma.indexOf("8080") != -1){
     url_result = "" + domainStr + "v3/ct/detail?ctid=" + id + "&type=3"
  }

  $.ajax({
    url: url_result,
    success: function (data) {
      fen = data.data[0].fen.average;
      window.WebViewJavascriptBridge.callHandler(
        'refreshOver', {
          'code': 1,
          'message': '请求成功',
          "fen": parseInt(fen)
        },
        function (responseData) {});
      setTimeout(function () {
        $('.sp').fadeOut(500);
      }, 500);
      tab(data);
    }
  });
  $.ajax({
    url: getCommentListUrl(domainStr,id,0),
    // async:false,
    success: function (data) {
      if(off == 0){
        isOff0PreHasData = true
      }
//    swi = true //保证刷新的的时候能加载更多评论
      if(data.data !=null && data.data.ad !=null && data.data.ad.length > 0 && data.data.ad[0].cover != null){
          $('.logo').children('img').attr('src', data.data.ad[0].cover);
      }
      $('.logo').click(function () {
        if (data.data.ad[0].link_type == "link") {

          touchURLEventHandler(data.data.ad[0].link)
        } else if (data.data.ad[0].link_type == "tid") {

          toUct(data.data.ad[0].tid, data.data.ad[0].link_type)
        } else if (data.data.ad[0].link_type == "cid") {

          toUcc(data.data.ad[0].cid, data.data.ad[0].link_type)
        }
      })

      for (var i = 0; i < data.data.comment.length; i++) {
        (function (i) {
          var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
          var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
          var da = new Date(data.data.comment[i].ctime * 1000).getDate();
          var img = '';
          if (data.data.comment[i].parent!=null && data.data.comment[i].parent.fj) {
            for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
              img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
            }
          }
          var An = '';
          var puse = '';
          if (data.data.comment[i].parent!=null && data.data.comment[i].parent.message) {
            An = decodeURIComponent(data.data.comment[i].parent.message);
            puse = data.data.comment[i].parent.user.username + "：";
          } else {
            An = "";
            puse = "";
          }
          var image = '';
          if (data.data.comment[i].fj.length > 0) {
            for (var j = 0; j < data.data.comment[i].fj.length; j++) {
              image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
            }
          }
          var nec = decodeURIComponent(data.data.comment[i].message);
          var parentId = 0
          if(data.data.comment[i].parent != null){
             parentId = data.data.comment[i].parent.id
          }

          $(' #div ul').append('<li class="pl"><div>' +
            '<img src="' + data.data.comment[i].user.cover + '"  onclick="handleOpenAuthor(event,this)" onerror="nofind()" date="' + data.data.comment[i].user.uid + '">' +
            '<p><span>' + data.data.comment[i].user.username + '</span>' +
            '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
            '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
            '<div><p>' + nec + image + '</p>' + '<p class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
            '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id +
            '" reply_name="' + data.data.comment[i].user.username +
            '" Parid="' + parentId + '">' +
            '' + '<span>回复</span></p></div></li>');
          // $(".ovue").attr("onerror" ,"javascript:this.src='../fonts/a.png;this.onerror=null'")
        })(i)
      }
      teo = $(".logo").offset().top;
    }
  });
  BindWindowEvent();
}


function over(id, domainStr) {
  wid = id;
  doma = domainStr
  $.ajax({
    url: getCommentListUrl(domainStr,id,0),
    // async:false,
    success: function (data) {
      if(off == 0){
        isOff0PreHasData = true
      }
      if(data.data !=null && data.data.ad !=null && data.data.ad.length > 0 && data.data.ad[0].cover != null){
          $('.logo').children('img').attr('src', data.data.ad[0].cover);
      }
      for (var i = 0; i < data.data.comment.length; i++) {
        (function (i) {
          var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
          var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
          var da = new Date(data.data.comment[i].ctime * 1000).getDate();
          var img = '';

          if (data.data.comment[i].parent !=null && data.data.comment[i].parent.fj) {
            for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
              img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
            }
          }

          var An = '';
          var puse = '';
          if (data.data.comment[i].parent !=null && data.data.comment[i].parent.message) {
            console.log(i)
            An = decodeURIComponent(data.data.comment[i].parent.message);
            puse = data.data.comment[i].parent.user.username + "：";
          } else {
            An = "";
            puse = "";
          }
          var image = '';
          if (data.data.comment[i].fj.length > 0) {
            for (var j = 0; j < data.data.comment[i].fj.length; j++) {
              image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
            }
          }
          var nec = decodeURIComponent(data.data.comment[i].message);
          var parentId = 0
          if(data.data.comment[i].parent != null){
            parentId = data.data.comment[i].parent.id
          }

          $(' #div ul').append('<li class="pl"><div>' +
            '<img src="' + data.data.comment[i].user.cover + '"  ' +
            'onclick="handleOpenAuthor(event,this)" onerror="nofind()" date="' + data.data.comment[i].user.uid + '">' +
            '<p><span>' + data.data.comment[i].user.username + '</span>' +
            '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
            '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
            '<div><p>' + nec + image + '</p>' + '<p  class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
            '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id +
            '" reply_name="' + data.data.comment[i].user.username +
            '" Parid="' + parentId + '">' +
            '' + '<span>回复</span></p></div></li>');
        })(i)
      }
      // teo = $(".logo").offset().top;
    }
  });
  BindWindowEvent();
}


function insertCatalogItems(items) {
  var sectionHtml = items.map(function (title, index) {
    return "<li class=\"catalog-item level1\" data-index=\"" + index + "\">" + title + "</li>";
  }).join('')
  var commentHtml = "<li class=\"catalog-item level1\">评论</li>";
  $('#catalog-list').html(sectionHtml + commentHtml);
}


//实现tab切换
function tab(data) {
  insertCatalogItems(data.data.map(function(value) { return value.title }))
  var div = ''
  for (var i = 0; i < data.data.length; i++) {
    div += "<div class=\"section-header\"/><div class=\"big-title\">" + data.data[i].title + "</div><div class=\"section\" id=\"section-" + i + "\"></div>";
  }
  console.log('#section:', div)
  $('#section').html(div);

  for (var i = 0; i < data.data.length; i++) {
    if ((typeof data.data[i].content) == 'object') {
      xtab(data, i);
      imgC = $("#section-" + i + " img");
      imgc(imgC);
    } else {
//      if(data.data[i].content.indexOf("ignore_js_op") >= 0){
//        console.log('data.data[i].content.indexOf("ignore_js_op") >= 0')
        $("#section-" + i).html(data.data[i].content);
        //通过元素的DOM属性名更改DOM属性值
        $("#section-" + i + " img").attr({ width: "100%" });
//      }else{
//        $("#section-" + i).html(data.data[i].content);
//      }

//    $(`#section-${i} table`).attr({ width : "330"}); //不好使
//    $('table').attr('width', '330');      //这个不好使

      imgC = $("#section-" + i + " img");
      imgc(imgC);
      $('img').attr('height', 'auto');
    }
  }

  lazyLoadImg()

  //防止 table 里有 img 导致图片显示大小异常
  if(document.getElementsByTagName('table').length !=0 ) {document.getElementsByTagName('table')[0].style = 'width : 330 !important';}
}

var contentData = null;
var contentIndex = 0;
//渲染tab
function xtab(data, a) {
  var i = 0;
  if (a) {
    i = a;
  }

  if (titl == null || titl == undefined) {
    for (var e = 0; e < data.data[0].content.length; e++) {
      if (data.data[0].content[e].name == "名称") {
        $('header h4').html(data.data[0].content[e].value)
      }
    }
  } else {
    $('header h4').html(titl)
  }
  var str = '';
  contentData = data;
  contentIndex = i;
  $("section-" + i).empty();
  var tempHasHeadImg = 0
  for (var j = 0; j < data.data[i].content.length; j++) {
    var value = data.data[i].content[j].value
    if (value == null || value == undefined || value == '""' || value == '') {
      continue
    }
    if (data.data[i].content[j].type == 3) {
      if(tempHasHeadImg == 0){ //保证只加载一张头图(封面图)
         str += '<img src="' + data.data[i].content[j].value + '" onerror="nof()">';
      }
      tempHasHeadImg += 1
    } else if (data.data[i].content[j].type == 1) {
      if (typeof data.data[i].content[j].value == "object") {
        str += '<div><p>' + data.data[i].content[j].name + '</p><p>' +
          '<span>' + data.data[i].content[j].value[0].year + '</span></p></div>';
      } else {
        if (data.data[i].content[j].name == '比例') {
          str += '<div><p>' + data.data[i].content[j].name + '</p>' +
            '<p><span>1/' + data.data[i].content[j].value + '</span></p></div>';
        } else {
          str += '<div><p class="section-title">' + data.data[i].content[j].name + '</p>' +
            '<p class="section-content"><span>' + data.data[i].content[j].value + '</span></p></div>';
        }
      }
    } else if (data.data[i].content[j].type == 2) {
      var span = '';
      if (typeof data.data[i].content[j].value == "object") {
        for (var s = 0; s < data.data[i].content[j].value.length; s++) {
          span += data.data[i].content[j].value[s].ct + '&nbsp;&nbsp;';
        }
      }
      str += '<div><p>' + data.data[i].content[j].name + '</p><p><span>' + span + '</span></p></div>'
    }
    if (isfold && j > 4) {
      break;
    }
  }
  if (i > 0) {
    return
  }
  var fef = parseInt(data.data[0].fen.average / 2);
  var user = data.data[0].fen.sum_user;
  $("#section-" + i).html(str);
  var sta = "<span><i class='icon iconfont stt'>&#xe601;</i></span>"
  sa = "<div style='' class='star'><p>用户评分</p>" +
    "<p>" + sta + sta + sta + sta + sta + "<strong>" + data.data[0].fen.average + "</strong>" +
    "</p><p>已有" + user + "人评分</p></div>";
  $('#section-0').append(sa);
  for (var i = 0; i < fef; i++) {
    $(".star i").eq(i).removeClass("stt");
    $(".star i").eq(i).addClass("yellow");
  }
  imgC = $('.section img');
  imgc(imgC, data.data[i]);
  var title = isfold == true ? '点击查看更多' : '收起'
  $('#section-0').append('<div class="fold" onclick="fold()">' + title + '</div>');
}

function fold() {
  isfold = !isfold
  xtab(contentData, contentIndex)
}
function lazyLoadImg() {
  "use strict";
  var lazyImages = [].slice.call(document.querySelectorAll("img.lazy"));
  var active = false;
  var lazyLoad = function() {
      if (active === false) {
      active = true;
      setTimeout(function() {
          lazyImages.forEach(function(lazyImage) {
          if ((lazyImage.getBoundingClientRect().top <= window.innerHeight && lazyImage.getBoundingClientRect().bottom >= 0) && getComputedStyle(lazyImage).display !== "none") {
              lazyImage.src = lazyImage.dataset.src;
//              lazyImage.srcset = lazyImage.dataset.srcset;
              lazyImage.classList.remove("lazy");

              lazyImages = lazyImages.filter(function(image) {
              return image !== lazyImage;
              });

              if (lazyImages.length === 0) {
              document.removeEventListener("scroll", lazyLoad);
              window.removeEventListener("resize", lazyLoad);
              window.removeEventListener("orientationchange", lazyLoad);
              }
          }
          });
          active = false;
      }, 200);
      }
  };

  document.addEventListener("scroll", lazyLoad);
  window.addEventListener("resize", lazyLoad);
  window.addEventListener("orientationchange", lazyLoad);
  }

//图片
function imgc(imgC) {
  var arr = [];
  for (var i = 0; i < imgC.length; i++) {
    arr[i] = imgC[i].src;
  }
  for (var index = 0; index < imgC.length; index++) {
    (function (index) {
      var img = imgC[index];
      var src = img.src
      if (index > 1) {
        if (img.attributes.inpost) {      
          img.classList.add('lazy')
          var dataSrc = document.createAttribute('data-src') 
//          var dataSrcset = document.createAttribute('data-srcset')
          dataSrc.value = src
//          dataSrcset.value = `${src} 2x, ${src} 1x`
          img.attributes.setNamedItem(dataSrc)
//          img.attributes.setNamedItem(dataSrcset)
          img.src = './fonts/banner.png'
          img.removeAttribute('file')
          img.removeAttribute('zoomfile')
          img.removeAttribute('initialized')
          img.removeAttribute('id')
          img.removeAttribute('alt')
          img.removeAttribute('inpost')
        }
      }


      imgC[index].onclick = function () {
        console.log($(this).attr('src'));
        window.WebViewJavascriptBridge.callHandler(
          'bigImageHandler', {
            'index': index,
            'imgs': arr
          },
          function (responseData) {});
      }
    })(index)
  }
}

// 点击用户去他主页
function handleOpenAuthor(ev, _this) {
  uid = parseInt($(_this).attr('date'));
  console.log(typeof uid);
  window.WebViewJavascriptBridge.callHandler(
    'tapUserAvatar', {
      'userID': uid
    },
    function (responseData) {
      console.info("responseData : " + responseData);
    });
}

// 回复帖子
function handleClickReplay(_this) {
  // mam=$(_this).parents("li").index()+1-$(_this).parents("li").index();
  // console.log($(_this).parents("li").scrollTop());
  // mat = Math.ceil($(_this).parents("li").index() / 10) - 1;
  var replyName = $(_this).attr('reply_name');
  var pi;
  if ($(_this).attr("pid")) {
    pi = parseInt($(_this).attr("pid"));
    console.log(typeof pi)
  } else {
    pi = "";
  }
  window.WebViewJavascriptBridge.callHandler(
    'replaySomeOne', {
      'fid': pi,
      "fen": parseInt(fen),
      'replyName': replyName
    },
    function (responseData) {});
}
//加载更多
function BindWindowEvent() {
  var oet;
  var flag = true;
  var WINDOW_HEIGHT = window.innerHeight,
    $BODY = $('body')[0];
  // // 上拉加载更多评论
  $(window).off('scroll').on('scroll', function (e) {
    if (-$BODY.getBoundingClientRect().top > ($BODY.scrollHeight - $BODY.clientHeight - 1)) {
      if (swi) {
        shape()
      } else {
        console.log(off);
        console.log('没有数据了');
      }
    }
  });
}

function shape() {
  if (swi) {
    $("#div ul>p").remove();
    if(off == 0){
        //如果之前 off == 0 没数据，则 off 还为 0，否则 +10
        if(isOff0PreHasData == true){
            off += 10;
        }
    }
    $.ajax({
      url: getCommentListUrl(doma,wid,off),
      success: function (data) {
        setTimeout(function () {
          $('#log').hide();
        }, 500);
        if(data.data !=null && data.data.ad !=null && data.data.ad.length > 0 && data.data.ad[0].cover != null){
            $('.logo').children('img').attr('src', data.data.ad[0].cover);
        }
        if (data.data.comment.length > 0) {
          if(off == 0){
            isOff0PreHasData = true
          }
          oet = off;
          off += 10;
          for (var i = 0; i < data.data.comment.length; i++) {
            (function (i) {
              var fy = new Date(data.data.comment[i].ctime * 1000).getFullYear();
              var mt = new Date(data.data.comment[i].ctime * 1000).getMonth() + 1;
              var da = new Date(data.data.comment[i].ctime * 1000).getDate();
              var img = '';
              if (data.data.comment[i].parent !=null && data.data.comment[i].parent.fj) {
                for (var j = 0; j < data.data.comment[i].parent.fj.length; j++) {
                  img += '<img src="' + data.data.comment[i].parent.fj[j] + '" class="jie">'
                }
              }
              var An = '';
              var puse = '';
              if (data.data.comment[i].parent !=null && data.data.comment[i].parent.message) {
                An = decodeURIComponent(data.data.comment[i].parent.message);
                puse = data.data.comment[i].parent.user.username + "：";
              } else {
                An = "";
                puse = "";
              }
              var image = '';
              if (data.data.comment[i].fj.length > 0) {
                for (var j = 0; j < data.data.comment[i].fj.length; j++) {
                  image += '<img src="' + data.data.comment[i].fj[j] + '" class="jie">';
                }
              }

              var nec = decodeURIComponent(data.data.comment[i].message);
              var parentId = 0;
              if(data.data.comment[i].parent !=null){
                parentId = data.data.comment[i].parent.id
              }

              $(' #div ul').append('<li class="pl"><div>' +
                '<img src="' + data.data.comment[i].user.cover + '" ' +
                ' onclick="handleOpenAuthor(event,this)" onerror="nofind()"  date="' + data.data.comment[i].user.uid + '"><p>' +
                '<span>' + data.data.comment[i].user.username + '</span>' +
                '<span>' + data.data.comment[i].user.ugname + '</span><strong style="clear: both;display: block"></strong>' +
                '<span>' + fy + "-" + mt + "-" + da + '</span></p></div>' +
                '<div><p>' + nec + image + '</p>' + '<p  class="yic"><span><strong class="ston">' + puse + '</strong>' + An + img + '' + '</span></p>' +
                '<p onclick="handleClickReplay(this)" pid="' + data.data.comment[i].id +
                '" reply_name="' + data.data.comment[i].user.username +
                '" Parid="' + parentId + '">' +
                '<span>回复</span></p></div></li>');
            })(i)
          }
        } else {
          if(off == 0){
             isOff0PreHasData = false
          }
          swi = false;
          $('#div ul').append("<p class='more'>没有更多了</p>");
          $("#loading").fadeOut(3000);
//          off = oet;
        }
        console.log(off);
      },
      error: function () {
        if(off == 0){
           isOff0PreHasData = false
        }
      }
    });
  }
}

// 匹配URL里面的 topic 链接
function matchTopicURL(str) {

  //匹配旧帖子链接: http://bbs.78dm.net/forum.php?mod=viewthread&tid=737549
  var found = str.match(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=\d+/ig, str);

  if (found) {
    var tid = found[0].replace(/http:\/\/bbs.78dm.net\/forum.php\?mod=viewthread&tid=/ig, '');
    return {
      'id': tid,
      'type': 'tid'
    };
  }

    //匹配新帖子链接 : http://bbs-pre.78dm.net/forum/post/737609.html
   var found2 = str.match(/.*?78dm.net\/forum\/post\/.*?.html/ig, str);
   if(found2){ //新的帖子链接
        var found2Str = found2 + ""
        var postIndex = found2Str.indexOf("post/");
        var tid = found2Str.substring(postIndex + "post/".length).replace(".html", "");
        return {
              'id': tid,
              'type': 'tid'
        };
   }

  return null;
}

function matchCtURL(str){
   //匹配新的词条链接 : http://acg-pre.78dm.net/ct/7621.html
   var found2 = str.match(/.*?78dm.net\/ct\/.*?.html/ig, str);
   if(found2){ //新的帖子链接
       var found2Str = found2 + ""
       var ctIndex = found2Str.indexOf("ct/");
       var cid = found2Str.substring(ctIndex + "ct/".length).replace(".html", "");
       return {
             'id': cid,
             'type': 'cid'
       };
   }

   return null;
}

// 匹配URL里面的 user 链接
function matchUserURL(str) {

  var found = str.match(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=\d+/ig, str);

  if (found) {
    var uid = found[0].replace(/http:\/\/bbs.78dm.net\/home.php\?mod=space&uid=/ig, '');
    return {
      'id': uid,
      'type': 'uid'
    };
  }

  return null;
}
// 打包参数
function getParamsFromURL(urlString) {
  // 匹配主题id的跳转
  var topicResult = matchTopicURL(urlString);
  if (topicResult) {
    console.log('tid 成功' + topicResult['tid']);
    return topicResult;
  }
  // 匹配词条id的跳转
  var ctResult = matchCtURL(urlString);
  if(ctResult){
      console.log('cid 成功' + ctResult['cid'])
      return ctResult;
  }
  // 匹配用户id的跳转
  var userResult = matchUserURL(urlString);
  if (userResult) {
    console.log('uid 成功' + userResult.uid);
    return userResult;
  }

  // 其他URL链接
  return {
    'id': urlString,
    'type': 'url'
  }
}

function touchURLEventHandler(urlString) {
  var parmas = getParamsFromURL(urlString)

  console.log(parmas);
  window.WebViewJavascriptBridge.callHandler(
    'openURLiOSHandler', parmas,
    function (responseData) {});
}

//广告tid

function toUct(tid, link_type) {
  var ti = tid.toString();
  window.WebViewJavascriptBridge.callHandler(
    'openURLiOSHandler', {
      "id": ti,
      "type": link_type
    },
    function (responseData) {});
}

//广告cid
function toUcc(cid, link_type) {
  var ci = cid.toString();
  window.WebViewJavascriptBridge.callHandler(
    'openURLiOSHandler', {
      "id": ci,
      "type": link_type
    },
    function (responseData) {});
}

//默认头像事件
function nofind() {

  var img = event.srcElement; // 声明对象

  img.src = "./fonts/amn.png"; // 给一个服务器的图片地址

  img.onerror = null; //控制不要一直跳动
  //  这里可以写其他的判断代码，如向服务器请求照片。。。。。
}

//默认图片事件
function nof() {

  var img = event.srcElement; // 声明对象

  img.src = "./fonts/banner.png"; // 给一个服务器的图片地址

  img.onerror = null; //控制不要一直跳动
  //  这里可以写其他的判断代码，如向服务器请求照片。。。。。
}

