function strToJson(str) {
    return eval('(' + str + ')');
}

"use strict";
var bama_map = new Map([
    [':八马_哼:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama001.png]'],
    [':八马_怒:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama002.png]'],
    [':八马_酷:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama003.png]'],
    [':八马_噗:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama004.png]'],
    [':八马_乖:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama005.png]'],
    [':八马_恩:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama006.png]'],
    [':八马_困:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama007.png]'],
    [':八马_嘿:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama008.png]'],
    [':八马_燃:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama009.png]'],
    [':八马_哭:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama010.png]'],
    [':八马_笑:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama011.png]'],
    [':八马_惊:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama012.png]'],
    [':八马_钢铁侠:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama013.png]'],
    [':八马_新安洲:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama014.png]'],
    [':八马_呵呵:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama015.png]'],
    [':八马_囧:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama016.png]'],
    [':八马_纳尼:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama017.png]'],
    [':八马_暴:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama018.png]'],
    [':八马_永垂:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama019.png]'],
    [':八马_土豪:','[mobcent_phiz=http://bbs.78dm.net/static/image/smiley/bama/bama020.png]']
]);


function asRelativeTime(_time) {
    var d_seconds, d_minutes, d_hours, d_days, d;
    var _now = parseInt(new Date().getTime());
    d = _now - _time;
    d_days = parseInt(d / 86400000);
    d_hours = parseInt(d / 3600000);
    d_minutes = parseInt(d / 60000);
    d_seconds = parseInt(d / 1000);

    if (d_seconds < 60) {
        return d_seconds + '秒前';
    } else if (d_minutes > 0 && d_minutes < 60) {
        return d_minutes + "分钟前";
    } else if (d_hours > 0 && d_hours < 24) {
        return d_hours + "小时前";
    } else if (d_days > 0 && d_days < 4) {
        return d_days + "天前";
    } else {
        var date = new Date(_time);
        return date.getFullYear() + '-' + (date.getMonth() + 1) + '-' + date.getDate() + ' ' + date.getHours() + ':' + date.getMinutes() + ':' + date.getMilliseconds();
    }

}

//android和ios环境下定义不同的初始化函数


var setupBridge;
// alert(window.navigator.userAgent.indexOf('Android') !=-1);
// console.log(window.navigator.userAgent.indexOf('Adr'));

try {
    // console.log(window.navigator.userAgent);
    if (window.navigator.userAgent.indexOf('Android') != -1 || window.navigator.userAgent.indexOf('Adr') != -1) {

        //document.writeln('<script src="js/bridge-android.js" ></script>');
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                callback(WebViewJavascriptBridge)
            } else {
                document.addEventListener(
                    'WebViewJavascriptBridgeReady'
                    , function () {
                        callback(WebViewJavascriptBridge)
                    },
                    false
                );
            }
        }
        setupBridge(function (bridge) {
            bridge.init(function (message, responseCallback) {
                var data = {};
                responseCallback(data);
            });
        });

        console.log('android browser');
    } else {
        //document.writeln('<script src="js/bridge-ios.js" ></script>');
        setupBridge = function (callback) {
            if (window.WebViewJavascriptBridge) {
                return callback(WebViewJavascriptBridge);
            }
            if (window.WVJBCallbacks) {
                return window.WVJBCallbacks.push(callback);
            }
            window.WVJBCallbacks = [callback];
            var WVJBIframe = document.createElement('iframe');
            WVJBIframe.style.display = 'none';
            WVJBIframe.src = '[mobcent_phiz=https://__bridge_loaded__';
            document.documentElement.appendChild(WVJBIframe);
            setTimeout(function () {
                document.documentElement.removeChild(WVJBIframe)
            }, 0)
        }
        // console.log('ios browser');
    }
} catch (ex) {
    console.log(ex);
}


