var setupBridge;
var _page = 1;
var off = 0;
var wid;
var swi = true;
var fen;
var teo;
var doma;
var domain;
var title
var isfold = true;
var isOff0PreHasData = false;
try {
  if (window.navigator.userAgent.indexOf('Android') != -1 || window.navigator.userAgent.indexOf('Adr') != -1) {
    setupBridge = function (callback) {
      if (window.WebViewJavascriptBridge) {
        callback(WebViewJavascriptBridge)
      } else {
        document.addEventListener(
          'WebViewJavascriptBridgeReady',
          function () {
            callback(WebViewJavascriptBridge)
          },
          false
        );
      }
    }

    console.log('android browser');
  } else {
    setupBridge = function (callback) {
      if (window.WebViewJavascriptBridge) {
        return callback(WebViewJavascriptBridge);
      }
      if (window.WVJBCallbacks) {
        return window.WVJBCallbacks.push(callback);
      }
      window.WVJBCallbacks = [callback];
      var WVJBIframe = document.createElement('iframe');
      WVJBIframe.style.display = 'none';
      WVJBIframe.src = 'https://__bridge_loaded__';
      document.documentElement.appendChild(WVJBIframe);
      setTimeout(function () {
        document.documentElement.removeChild(WVJBIframe)
      }, 0)
    }
    console.log('ios browser');
  }
} catch (ex) {
  console.log(ex);
}

setupBridge(function (bridge) {
     $('#test_call_java_func').click(function () {
        testJsCallJavaFunc();
     })
});

function testJsCallJavaFunc() {
  alert("testJsCallJavaFunc 开始调用原生 java 的 getUrl 方法");
  window.WebViewJavascriptBridge.callHandler(
    'getLoginInfo',
    {},
    function (responseData) {
        alert("testJsCallJavaFunc 获取 java 回调的数据成功, responseData = " + responseData)
        var obj = JSON.parse(responseData);
        alert("解析为: X-Client = " + obj['X-Client'] + " X-Client-Token = " + obj['X-Client-Token'])
    });
}



